Parser error in Atlas 'Output filename expression' textbox - badly handled error

2017-06-19 06:21 PM - Steve Lowman

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.15 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 24624

Description

When manually entering the 'Output filename expression', if you leave the textbox before the expression is fully parsable, you get an error

message box (see image attached). The problem is that when you click 'OK', instead of returning you to the textbox to correct the

expression, you just get the message box again, for ever. The only way out I could find is to kill the whole application, so effectively I think

QGIS is crashed by this.

(I gave this Category of 'Map Composer/Printing', but maybe should be 'Expressions'?)

History

#1 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-10-24 10:35 AM - Hugo Mercier

Not reproduced with QGIS 3.3 where the message box is replaced by a message bar

#3 - 2018-10-24 12:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-11-07 09:20 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2018-12-24 10:38 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
